/******************************************************************************
版权所有：	 
文件名称：	rt_log.h
文件版本：	01.01
创建作者:	sunxi
创建日期：	2020-6-18
功能说明：	日志记录
其它说明：	没有资源竞争保护处理，只能在大循环级别使用。
修改记录：
*/

#ifndef LOG_H_
#define LOG_H_

#define LOG_ERR			0
#define LOG_OPERATE		1
#define LOG_SOE			2
#define LOG_YX			3
#define LOG_AUTH		4
#define LOG_PRINTF		5


#define LOG_SEM_FOR_THREAD		0	// 线程间的信号量
#define LOG_SEM_FOR_PROCESS		1	// 进程间的信号量

struct log_file
{
	u8 *			name;
	int 			size;	
	off_t			offset;
	int 			handle;
};

extern int g_logfile_update[];

int log_init(void);
int log_exit(void);

int log_str(int index, char *log_buf);
int log_str_len(int index, char *log_buf,int len);
int log_str_time(int index, char *log_buf,int is_rtc,u8 val);
u32 log_file_change_time(int index);
int log_str_ext(int index, char *log_buf);
void log_str_ext_flush(int index);

int log_file_check(s8 * name);
int log_file_is_overrun(int index);


#endif /* LOG_H_ */
